#include <iostream>

#include "vtkXMLPolyDataWriter.h"
#include "vtkPolyData.h"

#include "vtkOFFReader.h"

int main(int argc, char *argv[])
{

  if(argc != 3)
  {
    std::cout << "Required parameters: InputFilename OutputFilename" << std::endl;
    exit(-1);
  }

  std::string InputFilename = argv[1];
  std::string OutputFilename = argv[2];
  
  vtkOFFReader* Reader = vtkOFFReader::New();
  Reader->SetFileName(InputFilename.c_str());
  Reader->Update();
  
  vtkXMLPolyDataWriter* Writer = vtkXMLPolyDataWriter::New();
  Writer->SetFileName(OutputFilename.c_str());
  Writer->SetInput(Reader->GetOutput());
  Writer->Write();	
  
  //cleanup
  Reader->Delete();
  Writer->Delete();
  
  return 0;
}